#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Text
%define		pnam	vCard
Summary:	Text::vCard - module to edit and create a single vCard (RFC 2426)
Summary(pl.UTF-8):	Text::vCard - moduł do edycji i tworzenia pojedynczych vCardów (RFC 2426)
Name:		perl-Text-vCard
Version:	3.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d23c610e2159b7d4034275f2bfe27704
URL:		http://search.cpan.org/dist/Text-vCard/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Class-Accessor-Chained
BuildRequires:	perl-Directory-Scratch
BuildRequires:	perl-File-Slurp
BuildRequires:	perl-Moo
BuildRequires:	perl-Path-Tiny
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Most
BuildRequires:	perl-Text-vFile-asData
BuildRequires:	perl-Unicode-LineBreak
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description 
This Perl module implements interface for both single vcard
(Text::vCard) and addressbook (Text::vCard::Addressbook). vCard is an
electronic business card. You will find that many applications (Apple
Address Book, MS Outlook, Evolution etc) can export and import vCards.
This package has been developed based on RFC 2426.  

%description -l pl.UTF-8
Ten moduł Perla implementuje interfejs do pojedynczych vcardów
(Text::vCard) oraz książek adresowych (Text::vCard::Addressbook).
vCard to elektroniczna wizytówka. Jest wiele aplikacji (Apple Address
Book, MS Outlook, Evolution itp.) potrafiących eksportować i
importować vCardy. Ten pakiet został stworzony w oparciu o RFC 2426.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/vCard.pm
%{perl_vendorlib}/vCard
%{perl_vendorlib}/Text/vCard.pm
%{perl_vendorlib}/Text/vCard
%{_mandir}/man3/*
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-vCard.git;a=log;h=master

* Mon May 18 2020 Jan Rękorajski <baggins@pld-linux.org> 2ec3bae
- updated BRs

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 15aa13b
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Jul 30 2019 Adam Osuchowski <adwol@pld-linux.org> a1ac5f5
- up to 3.09

* Fri Jul 01 2011 marti <marti@pld-linux.org> 1866e6c
- up to 2.10

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 2e3309b
- updated to 2.03

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 7f17a18
- up to 2.01

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ccd30ff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b1292ed
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 0eb7350
- ver. 2.00

* Mon Jul 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 1d98ff0
- pl, cleanup

* Sat Jul 22 2006 Maciej Pijanka <agaran@pld-linux.org> b63cb9d
- rel 0.2, fixed description, license,

* Sat Jul 22 2006 Maciej Pijanka <agaran@pld-linux.org> 0595fae
- initial, builds here, ver 1.98 rel 0.1

